This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 675094 (CVE-2010-1585)

Summary: CVE-2010-1585 Mozilla ParanoidFragmentSink allows javascript: URLs in chrome documents (MFSA 2011-08)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: gecko-bugs-nobody, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20110301,reported=20110204,source=mozilla,impact=critical,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-6.0.z/firefox=affected,rhel-5.6.z/firefox=affected,rhel-4.8.z/firefox=affected,rhel-6.0.z/thunderbird=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-11 17:47:41 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Huzaifa S. Sidhpurwala 2011-02-04 04:42:06 EST
Mozilla security developer Roberto Suggi Liverani reported 
that ParanoidFragmentSink, a class used to sanitize potentially 
unsafe HTML for display, allows javascript: URLs and other 
inline JavaScript when the embedding document is a chrome document. 

While there are no unsafe uses of this class in any released products, 
extension code could have potentially used it in an unsafe manner.
Comment 1 Vincent Danen 2011-03-01 18:29:31 EST
This is now public:

http://www.mozilla.org/security/announce/2011/mfsa2011-08.html
Comment 2 errata-xmlrpc 2011-03-01 19:59:25 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0311 https://rhn.redhat.com/errata/RHSA-2011-0311.html
Comment 3 errata-xmlrpc 2011-03-01 20:10:17 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0310 https://rhn.redhat.com/errata/RHSA-2011-0310.html